Unit tde47r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE47R_p, DE47R_p;

function tde47r: String;

implementation

function tde47r: String;
var
M,_i,IERR :Integer;
XN,XK,HMIN,HMAX,EPS,P,H,Y1,Y2,DY1,DY2 :Real;
YN :Array [0..1] of Real;
DYN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
Z :Array [0..1] of Real;
ZP :Array [0..1] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.0;
YN[0] := 1.0;
YN[1] := -1.0;
DYN[0] := 1.5;
DYN[1] := -0.5;
XK := 5.0;
HMIN := 1.E-10;
HMAX := 0.1;
EPS := 0.0001;
P := 100.0;
H := 0.01;
DE47R(FDE47R,M,XN,YN,DYN,XK,HMIN,HMAX,EPS,P,H,
     Y,DY,Z,DELTY,DF,RFN,RF,YP,DYP,ZP,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%20.16f',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DY[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Y1 := Sin(XK)+Cos(XK)+0.5*XK;
Y2 := -Y1+XK;
DY1 := Cos(XK)-Sin(XK)+0.5;
DY2 := -DY1+1.0;
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f %20.16f ',
 [XK,Y1,Y2,DY1,DY2]) + #$0D#$0A;
UtRes('tde47r',Result);  {     tde47r.res }
exit;
end;

end.
